//% color="#fa9b4d" iconWidth=50 iconHeight=40
namespace numpy{

    //% block="初始化numpy库" blockType="command"
    export function Sklearn_init(parameter: any, block: any) {
        Generator.addImport("import numpy as np");
    }


    //% block="计算[MEAN]的[CMODE]" blockType="reporter"
    //% CMODE.shadow="dropdown" CMODE.options="CMODE"
    //% MEAN.shadow="normal" MEAN.defl="data" 
    export function np_mean(parameter: any, block: any) {
        let cmode=parameter.CMODE.code;
        let mean=parameter.MEAN.code;   
        Generator.addCode(`np.${cmode}(${mean})`) 
    } 
    

    //% block="计算[CORR1]和[CORR2]的相关系数 索引[SY]" blockType="reporter"
    //% CORR1.shadow="normal" CORR1.defl="data" 
    //% CORR2.shadow="normal" CORR2.defl="data" 
    //% SY.shadow="normal" SY.defl="[0][0]" 
    export function np_corrcoef(parameter: any, block: any) {
        let corrcoef1=parameter.CORR1.code;   
        let corrcoef2=parameter.CORR2.code; 
        let sy=parameter.SY.code;   
        Generator.addCode(`np.corrcoef(${corrcoef1}, ${corrcoef2})${sy}`) 
    } 

    //% block="将[FRAME]通道维度扩展为1" blockType="command"
    //% FRAME.shadow="normal"   FRAME.defl="img"
    export function np_expand(parameter: any, block: any){ 
        let frame = parameter.FRAME.code
        Generator.addCode(`${frame} = np.expand_dims(${frame}, -1)`)
   
   }
}